image: node:lts-bullseye

stages:
  - build
  - deploy

cleanup:
  stage: build
  script:
    - apt-get -qq update
    - apt-get -qq install -y zip
    - cd .. && zip -r GuildPlannerPro_Export.zip ./GuildPlannerPro_Export -x *.git* -x *.md && cd GuildPlannerPro_Export
    - mv ../GuildPlannerPro_Export.zip ./GuildPlannerPro_Export.zip
    - curl -H "x-api-token:${ESOUI_API_TOKEN}" -F "id=3028" -F "version=${CI_COMMIT_TAG}" -F "compatible=10.2.0" -F "updatefile=@./GuildPlannerPro_Export.zip" -F "changelog=$(npx conventional-changelog-cli -p conventionalcommits -r 0)" https://api.esoui.com/addons/updatetest
  artifacts:
    paths:
      - ./GuildPlannerPro_Export.zip

deploy:
  stage: deploy
  only:
    - tags
  script:
    - apt-get -qq update
    - apt-get -qq install -y curl
    - curl -H "x-api-token:${ESOUI_API_TOKEN}" -F "id=3028" -F "version=${CI_COMMIT_TAG}" -F "compatible=10.2.0" -F "updatefile=@./GuildPlannerPro_Export.zip" -F "changelog=$(npx conventional-changelog-cli -p conventionalcommits -r 0)" https://api.esoui.com/addons/update
